E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::Socket::Config Struct Reference

A configuration structure for GNet::Socket. More...

`#include <gsocket.h>`

Inheritance diagram for GNet::Socket::Config:
[legend]

## Public Member Functions
Config & | set_listen_queue (int) noexcept
Config & | set_bind_reuse (bool) noexcept
Config & | set_bind_exclusive (bool) noexcept
Config & | set_free_bind (bool) noexcept
template<typename T >
const T & | set_last ()

## Public Attributes
int | listen_queue {0}
bool | connect_pureipv6 {true}
bool | bind_pureipv6 {true}
bool | bind_reuse {true}
bool | bind_exclusive {false}
bool | free_bind {false}

## Detailed Description

A configuration structure for GNet::Socket.

Definition at line 231 of file gsocket.h.

## Member Function Documentation

## ◆ set_bind_exclusive()

GNet::Socket::Config & GNet::Socket::Config::set_bind_exclusive | ( | bool | b | ) |
| inline noexcept

Definition at line 509 of file gsocket.h.

## ◆ set_bind_reuse()

GNet::Socket::Config & GNet::Socket::Config::set_bind_reuse | ( | bool | b | ) |
| inline noexcept

Definition at line 508 of file gsocket.h.

## ◆ set_free_bind()

GNet::Socket::Config & GNet::Socket::Config::set_free_bind | ( | bool | b | ) |
| inline noexcept

Definition at line 510 of file gsocket.h.

## ◆ set_last()

template<typename T >

const T & GNet::Socket::Config::set_last | ( |  | ) |

Definition at line 511 of file gsocket.h.

## ◆ set_listen_queue()

GNet::Socket::Config & GNet::Socket::Config::set_listen_queue | ( | int | n | ) |
| inline noexcept

Definition at line 507 of file gsocket.h.

## Member Data Documentation

## ◆ bind_exclusive

bool GNet::Socket::Config::bind_exclusive {false}

Definition at line 238 of file gsocket.h.

## ◆ bind_pureipv6

bool GNet::Socket::Config::bind_pureipv6 {true}

Definition at line 236 of file gsocket.h.

## ◆ bind_reuse

bool GNet::Socket::Config::bind_reuse {true}

Definition at line 237 of file gsocket.h.

## ◆ connect_pureipv6

bool GNet::Socket::Config::connect_pureipv6 {true}

Definition at line 235 of file gsocket.h.

## ◆ free_bind

bool GNet::Socket::Config::free_bind {false}

Definition at line 239 of file gsocket.h.

## ◆ listen_queue

int GNet::Socket::Config::listen_queue {0}

Definition at line 234 of file gsocket.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.cpp